Skip to main content
POST
Add workflow

Headers

X-Workspace-Id
string

Workspace ID

Path Parameters

id
string
required

Body

application/json
name
string
template
string

File name of a default workflow to copy the jobs from

Example:

"vulnerability_scan_basic.yaml"

tools
object[]
copyFromProjectWorkflowId
string

Project workflow (binding) of any project to copy

on
object

When the workflow runs on its own: schedules and "assets added"

Response

200 - application/json
id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
projectId
string
required
workflow
object
required
workflowId
string
required
triggers
object[]
lastRun
object | null